<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Tank extends Model
{
    use HasFactory;

    protected $fillable = [
        'user_id',
        'number',
        'name',
        'volume_liters',
        'max_capacity',
        'status',
        'physical_notes',
        'location',
        'tank_type',
    ];

    public function batches(): HasMany
    {
        return $this->hasMany(Batch::class);
    }

    public function dailyLogs(): HasMany
    {
        return $this->hasMany(DailyLog::class);
    }
}
